Discussion:
Bug#941687: lablie: FTBFS with jackson-databind 2.10.0
Add Reply
Markus Koschany
2019-10-03 20:00:01 UTC
Reply
Permalink
Package: lablie
Version: 0.6.1-2
Severity: serious

Hi,

unfortunately lablie FTBFS with jackson-databind 2.10.0. It seems
there are a couple of errors now because of incompatible types. I am
attaching the build log.

Regards,

Markus


-- System Information:
Debian Release: bullseye/sid
APT prefers unstable
APT policy: (500, 'unstable')
Architecture: amd64 (x86_64)

Kernel: Linux 4.9.0-11-amd64 (SMP w/4 CPU cores)
Locale: LANG=de_DE.UTF-8, LC_CTYPE=de_DE.UTF-8 (charmap=UTF-8), LANGUAGE=de_DE.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash
Init: unable to detect

Versions of packages lablie depends on:
ii default-jre-headless 2:1.11-72
ii libbatik-java 1.10-2
pn libcommons-csv-java <none>
pn libcommons-jexl3-java <none>
pn libjackson2-databind-java <none>
pn libpicocli-java <none>

lablie recommends no packages.

lablie suggests no packages.
Miroslav Kravec
2019-10-07 07:40:01 UTC
Reply
Permalink
Hello Markus,

thank you for informing about this issue. Is this blocking you? Are
you releasing a new version of jackson databind to Debian?

Kind regards,
Miro
Post by Markus Koschany
Package: lablie
Version: 0.6.1-2
Severity: serious
Hi,
unfortunately lablie FTBFS with jackson-databind 2.10.0. It seems
there are a couple of errors now because of incompatible types. I am
attaching the build log.
Regards,
Markus
Debian Release: bullseye/sid
APT prefers unstable
APT policy: (500, 'unstable')
Architecture: amd64 (x86_64)
Kernel: Linux 4.9.0-11-amd64 (SMP w/4 CPU cores)
Locale: LANG=de_DE.UTF-8, LC_CTYPE=de_DE.UTF-8 (charmap=UTF-8), LANGUAGE=de_DE.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash
Init: unable to detect
ii default-jre-headless 2:1.11-72
ii libbatik-java 1.10-2
pn libcommons-csv-java <none>
pn libcommons-jexl3-java <none>
pn libjackson2-databind-java <none>
pn libpicocli-java <none>
lablie recommends no packages.
lablie suggests no packages.
tony mancill
2019-12-02 15:10:02 UTC
Reply
Permalink
Post by Miroslav Kravec
Hello Markus,
thank you for informing about this issue. Is this blocking you? Are
you releasing a new version of jackson databind to Debian?
Hi Miroslav,

I opened a merge request for this issue [1], since this bug is
preventing the migration of lablie from unstable -> testing.

Cheers,
tony

[1] https://salsa.debian.org/debian/lablie/merge_requests/1)

Loading...